Loading...
Searching...
No Matches
version.h File Reference
libavformat

Libavformat version macros. More...

`#include "libavutil/version.h"`
`#include "version_major.h"`

Go to the source code of this file.

## Macros

#define | LIBAVFORMAT_VERSION_MINOR 3
#define | LIBAVFORMAT_VERSION_MICRO 100
#define | LIBAVFORMAT_VERSION_INT
#define | LIBAVFORMAT_VERSION
#define | LIBAVFORMAT_BUILD LIBAVFORMAT_VERSION_INT
#define | LIBAVFORMAT_IDENT "Lavf" AV_STRINGIFY(LIBAVFORMAT_VERSION)

## Detailed Description

Libavformat version macros.

Definition in file version.h.

## Macro Definition Documentation

## LIBAVFORMAT_VERSION_MINOR

#define LIBAVFORMAT_VERSION_MINOR 3

Definition at line 34 of file version.h.

## LIBAVFORMAT_VERSION_MICRO

#define LIBAVFORMAT_VERSION_MICRO 100

Definition at line 35 of file version.h.

## LIBAVFORMAT_VERSION_INT

#define LIBAVFORMAT_VERSION_INT

Value:
AV_VERSION_INT(LIBAVFORMAT_VERSION_MAJOR, \
LIBAVFORMAT_VERSION_MINOR, \
LIBAVFORMAT_VERSION_MICRO)
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56
LIBAVFORMAT_VERSION_MICRO
#define LIBAVFORMAT_VERSION_MICRO
Definition version.h:35
LIBAVFORMAT_VERSION_MINOR
#define LIBAVFORMAT_VERSION_MINOR
Definition version.h:34
LIBAVFORMAT_VERSION_MAJOR
#define LIBAVFORMAT_VERSION_MAJOR
Definition version_major.h:32

Definition at line 37 of file version.h.

## LIBAVFORMAT_VERSION

#define LIBAVFORMAT_VERSION

Value:
AV_VERSION(LIBAVFORMAT_VERSION_MAJOR, \
LIBAVFORMAT_VERSION_MINOR, \
LIBAVFORMAT_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 40 of file version.h.

## LIBAVFORMAT_BUILD

#define LIBAVFORMAT_BUILD LIBAVFORMAT_VERSION_INT

Definition at line 43 of file version.h.

## LIBAVFORMAT_IDENT

#define LIBAVFORMAT_IDENT "Lavf" AV_STRINGIFY(LIBAVFORMAT_VERSION)

Definition at line 45 of file version.h.